Announcement

Collapse
No announcement yet.

Forum usergroup permissions bug

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] Forum usergroup permissions bug

    Hello, we just upgraded to 4.1.0 about a week ago and just today went into a user group permission to change the color of the user group and random other permissions were changed. Every time we try to change any user group permission, random permissions are changed and saved. I'm not sure the last time I tried to change a user group permission so I can't pinpoint exactly when this happened, but it has brought my forums to a halt. Can anyone please advise ?

    Thanks

  • #2
    To troubleshoot this, first reupload all the original vB non-image files (except install.php). Make sure you upload these in ASCII format and overwrite the ones on the server. Also be sure to upload the admincp files to whichever directory you have set in your config.php file. Then run 'Suspect File Versions' in Diagnostics to make sure you have all the original files for your version and that none show 'File does not contain expected contents':

    Admin CP -> Maintenance -> Diagnostics -> Suspect File Versions

    [Note: In some cases you may also need to remove any of the listed .xml files in the includes/xml directory.]

    Next, disable all products (except vB Blog and vB CMS if you are running the Suite.)

    Admin CP -> Plugins & Products -> Manage Products -> Disable

    Then manually uncheck all plugins that are not for 'vBulletin Blog' and vBulletin CMS' here:

    Admin CP -> Plugins & Products -> Plugin Manager

    You must do BOTH of those steps in order to disable all non vBulletin Modifications.

    Do you have the same problem?
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      I did try all of that, even uninstalled any mod that was previous to 4.0. But right now, all mods are disabled. When I do the suspect file versions, there are none that say "File does not contain expected contents". What's really odd is that there are four categories in the usergroup permissions that are not holding yes/no. They are:

      forum viewing, forum searching, post/thread, attachment, poll

      It seems all other categories hold if I change between yes and no.

      Comment


      • #4
        Can someone please help ? If I have to pay, I will, I just need my forums working again

        Comment


        • #5
          Assuming you have followed all those instructions, then is generally a server issue. Run this and report back the results:

          Admin CP -> Maintenance -> Diagnostics -> Problematic Webserver Modules
          Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
          Change CKEditor Colors to Match Style (for 4.1.4 and above)

          Steve Machol Photography


          Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


          Comment


          • #6
            Suhosin Module Loaded No

            mod_security AJAX Unicode Issue No Results The above setting will indicate if mod_security is preventing some AJAX requests from being submitted to vBulletin. If this shows Yes then you either need to disable mod_security or change the AJAX settings with the vBulletin Options and disable Problematic features.

            Comment


            • #7
              Anyone have any other suggestions? Even downgraded back to 4.0.8 and still same issue.

              Comment


              • #8
                If you have removed ALL modifications, then fill out a support ticket at:

                http://members.vbulletin.com/members...ontactform.php

                Please include a complete description of the problem and be sure to include the login info to your Admin CP, phpMyAdmin and FTP in the 'Sensitive Data' field.
                Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                Change CKEditor Colors to Match Style (for 4.1.4 and above)

                Steve Machol Photography


                Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                Comment

                widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                Working...
                X